#
# spec file for package amavis-postfix (Version 11)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  -sendmail antivir arc bzip compress lha perl-Archive-Tar perl-Archive-Zip perl-Compress-Zlib perl-Convert-TNEF perl-Convert-UUlib perl-IO-stringy perl-MIME-Base64 perl-MIME-tools perl-MailTools perl-Syslog perl-libnet postfix sharutils unace unarj unrar zoo
# usedforbuild    -sendmail aaa_base aaa_dir antivir arc autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less lha libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-Archive-Tar perl-Archive-Zip perl-Compress-Zlib perl-Convert-TNEF perl-Convert-UUlib perl-IO-stringy perl-MIME-Base64 perl-MIME-tools perl-MailTools perl-Syslog perl-libnet postfix ps rcs readline rpm sendmail sh-utils shadow sharutils strace syslogd sysvinit texinfo textutils timezone unace unarj unrar unzip util-linux vim zoo

Name:         amavis-postfix
Copyright:    Copyright (C) 1989, 1991 Free Software Foundation, Inc.
Group:        Networking/Daemons
Url:          http://www.amavis.org/
Provides:     amavis-postfix
Conflicts:    amavisd-postfix amavis-sendmail amavisd-sendmail
Requires:     postfix antivir compress arc bzip lha unace unarj unrar zoo sharutils perl-Compress-Zlib perl-Convert-UUlib perl-IO-stringy perl-MIME-Base64 perl-MIME-tools perl-MailTools perl-Archive-Tar perl-Syslog perl-Convert-TNEF perl-libnet perl-Archive-Zip                    
Autoreqprov:  on
Summary:      AMaViS - A Mail Virus Scanner in Perl
Version:      11
Release:      78
Source0:      amavis-perl-%{version}.tar.gz
#Source1:      rc.config.amavis
#Source2:      rc.amavis
Patch0:        amavis-perl-11.dif
Patch1:	       amavis-unrar.dif
Patch2:	       amavis-postfix-README.SuSE.dif
ExclusiveArch: i386
# ---------------------------------------------------------------------------
%prep
%setup -n amavis-perl-%{version}
%patch -P 0 -p 1
%patch -P 1 -p 1
%patch -P 2 -p 1
# ---------------------------------------------------------------------------

%build
# --enable-all includes support for all virus scanners not only for those
# installed (i.e. antivir)
./configure --prefix=/usr --with-sendmail_wrapper=/usr/sbin/sendmail \
	--enable-postfix --enable-smtp --enable-all \
	--with-runtime-dir=/var/spool/vscan/amavis \
	--with-virusdir=/var/spool/vscan/virusmails \
	--with-amavisuser=vscan
       
make
# ---------------------------------------------------------------------------

%install
# --enable-all does not set-up any virus scanner, it simply includes only
# the code for every supported virus scanner
# therefore set manually the path to antivir and the exitcode for uvscan
sed -e 's/^my $antivir = ""/my $antivir = "\/usr\/bin\/antivir"/' -e 's/^my $uvscan_exitcode = "";/my $uvscan_exitcode = "13"; # set this to 1 if you are sill using the old uvscan 3.x/' -e 's/^my $uvscan_args = ""/my $uvscan_args = "--secure -rv --summary --noboot"/'  amavis/amavis > amavis/amavis.new
mv amavis/amavis.new amavis/amavis     
make install
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
#mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
#install -m 755 -o root -g root $RPM_SOURCE_DIR/rc.amavis $RPM_BUILD_ROOT/etc/init.d/amavis
#ln -s ../../etc/init.d/amavis $RPM_BUILD_ROOT/usr/sbin/rcamavis
#install -m 644 -o root -g root $RPM_SOURCE_DIR/rc.config.amavis $RPM_BUILD_ROOT/var/adm/fillup-templates
     

%post
if [ -z "`grep "^virusalert:" etc/aliases`" ]; then
    echo "virusalert: root" >> etc/aliases
    if [ -x usr/bin/newaliases ] ; then
	chroot . newaliases > /dev/null 2>&1 
    else
	echo "Can't exec newaliases. Please run it manually"
    fi
fi                                
#sbin/insserv etc/init.d/amavis
#echo "Updating etc/rc.config..."
#if [ -x bin/fillup ] ; then bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.amavis
#else
#    echo "ERROR: fillup not found. This should not happen. Please compare"
#    echo "/etc/rc.config and /var/adm/fillup-templates/rc.config.amavis and update manually."
#fi
mkdir -p var/adm/notify/messages   
cat << EOT > var/adm/notify/messages/amavis-postfix
Hallo,  (english text below)                               
bitte beachten Sie dass zur vollstaendigen Installtion ggf. noch manuelle
Schritte ausgefuehrt werden muessen. 
1) Oeffnen Sie /usr/sbin/amavis und suchen Sie nach der 
"Av scanners init section". Dort tragen Sie bitte by my $<scanner> jeweils
den Pfad fuer den-/diejenigen Virenscanner ein, die amavis-perl benutzen soll.
(fuer H+BEDV AntiVir/X ist der Pfad bereits auf /usr/bin/antivir gesetzt;
bitte beachten Sie die Lizenzbestimmungen fuer AntiVir/X)
2) Ueberpruefen Sie bitte ob ein Alias fuer virusalert in /etc/alias gesetzt
ist. Nach einer Aenderung rufen Sie bitte newaliases auf. 
Bitte lesen Sie auch die Dokumentation zu amavis-perl, die Sie unter
/usr/share/doc/packages/amavis-postfix finden, besonders README.SuSE, da
zur abschliessenden Konfiguration noch einige manuelle Schritte noetig sind. 
Beachten Sie aber, dass amavis-perl _ausschliesslich_ fuer postfix 
konfiguriert ist und benutztbar ist!
----------------------------------------------------------------------------
Hello,
to finalize the installation of amavis please do the following steps
1) Open /usr/sbin/amavis with your favorite editor and go to the
"Av scanners init section". Please set for every virus scanner you want to use
the corresponding "my $<scanner>" entry to the path where the virus 
scanner is installed. By default amavis is configured for use with
H+BEDV AntiVir/X, which is automatically installed (please read the
licence agreement)       
2) Please check if an alias for virusalert exists in /etc/aliases. Please
don't forget to call newaliases after every change of this file
Please read through the amavis-perl documentation in 
/usr/share/doc/packages/amavis-postfix, esp. README.SuSE, as some steps
are neccessary to finish the installation of amavis-perl. 
Please keep in mind amavis-perl is configured for use with  
postfix _only_. 
Have a lot of fun...
                          Your SuSE Team   
EOT

%postun
#sbin/insserv etc/init.d/

%files
#%config /etc/init.d/amavis
/usr/sbin/amavis
%dir %attr(0700, vscan, root) /var/spool/vscan/amavis
%dir %attr(0700, vscan, root) /var/spool/vscan/virusmails
#/usr/sbin/rcamavis
#/var/adm/fillup-templates/rc.config.amavis
%doc AUTHORS BUGS COPYING ChangeLog FAQ HINTS INSTALL NEWS README* TODO doc

%description
AMaViS, A Mail Viren Scanner in Perl, for use with postfix.
It integrates via the postfix content filtering API.
Please read README.SuSE carefully.

Authors:
--------
    Christian Bricart <shiva@aachalon.de> 
    Chris L. Mason <cmason@unixzone.com> 
    Lars Hecking <lhecking@users.sourceforge.net> 
    Rainer Link <link@suse.de> 
    Geoff Winkless <gwinkless@users.sourceforge.net> 
     
    

SuSE series: sec


%changelog -n amavis-postfix
* Tue Oct 16 2001 - link@suse.de
- applied some fixes from CVS to address broken handling of
  self-extracting files and a bug in Archive::Tar
- use the -p- option of unrar when testing for an RAR archive to
  address a potential problem with password-encrypted RAR files
* Sun Sep 30 2001 - link@suse.de
- fixed %%doc (some READMEs were missing)
* Fri Aug 17 2001 - link@suse.de
- updated to amavis-perl CVS
- change in .spec-file: perl_tar was renamed to perl-Archive-Tar
* Sun Aug 05 2001 - link@suse.de
- updated to amavis-perl-11 CVS
* Wed Jun 20 2001 - link@suse.de
- fixed a minor issue with unrar (AMaViS SF Bug ID: #433217)
- fixed the output parsing for CAI InoculateIT/Linux
- fixed the return value handling of RAV
- added missing third arguement to most clearpriv calls
- comsmetic changes in init script
- minor documentation update
* Tue Apr 17 2001 - link@suse.de
- README.SuSE was missing in %%doc
- fixed try-restart in init script
* Thu Apr 12 2001 - link@suse.de
- init script wasn't LSB-compliant - fixed
* Tue Apr 10 2001 - link@suse.de
- minor changes in .spec file
- fixed the antivir output parsing to get the names
  of found viruses - should now work with german and
  english version of antivir
* Sat Apr 07 2001 - link@suse.de
- updated to amavis-perl-11
* Sat Apr 07 2001 - link@suse.de
- first package (amavis-perl-11 RC1)
